Bug 1573769 - sshfs-3.x has been released
Summary: sshfs-3.x has been released
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fuse-sshfs
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 08:51 UTC by barsnick
Modified: 2018-08-18 18:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-18 18:32:14 UTC
Type: Bug


Attachments (Terms of Use)

Description barsnick 2018-05-02 08:51:44 UTC
Description of problem:
A significantly newer version of (fuse-)sshfs has been released.

Version-Release number of selected component (if applicable):
2.8-5

Additional info:
fuse-sshfs has received a reworking, and is on a 3.x release plan, 3.3.2 by now. The significant changes for 3.x are listed in the 3.0.0 release notes:
https://github.com/libfuse/sshfs/releases/tag/sshfs-3.0.0

It requires fuse3, which is part of F27++.

The step to sshfs 3.x could have long been done by including 3.3.x in the F28 release cycle, but *oh well*. Next chance with F29. (I have been using a self-built 3.3.1 of F27 successfully for some time.)

This package doesn't seem to be linked to release-monitoring for some reason, though a Fedora mapping does exist on this page:
https://release-monitoring.org/project/11058/

Comment 1 barsnick 2018-05-02 08:54:01 UTC
I have builds of fuse-sshfs-3.x in my personal copr:
https://copr.fedorainfracloud.org/coprs/barsnick/fed-newer/package/fuse-sshfs/

The SPEC is updated with the newest dependencies, but somewhat convoluted, due to fallback support for systems without fuse3:
http://copr-dist-git.fedorainfracloud.org/cgit/barsnick/fed-newer/fuse-sshfs.git/tree/fuse-sshfs.spec

Comment 2 Michael Cronenworth 2018-08-13 16:50:29 UTC
@Peter, are you still maintaining this package? Would you like help?

Comment 3 Jan Kurik 2018-08-14 10:04:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Peter Lemenkov 2018-08-15 13:39:15 UTC
(In reply to Michael Cronenworth from comment #2)
> @Peter, are you still maintaining this package? Would you like help?

Yes, please. I can't find a time to maintain this.

Comment 5 Michael Cronenworth 2018-08-15 20:21:33 UTC
OK. I'll ship 2.10 in F27, F28 and look to ship 3.4.0 in F29+. I'm not taking ownership of the package, but I will do this one-time update.

Comment 6 Michael Cronenworth 2018-08-18 18:32:14 UTC
3.4.0 is now in F29+.


Note You need to log in before you can comment on or make changes to this bug.